This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 160749 - Kernel oops killing process with open files on a NFS3 krb5 mount after /var/lib/nfs/rpc_pipefs has been unmounted
Kernel oops killing process with open files on a NFS3 krb5 mount after /var/l...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-16 22:28 EDT by Mark Goodman
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 17:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Serial console output (17.87 KB, text/plain)
2005-06-16 22:34 EDT, Mark Goodman
no flags Details
Kernel patch to stop the oops (506 bytes, patch)
2005-06-16 22:36 EDT, Mark Goodman
no flags Details | Diff
kernel 2.6.12-1.1398_FC4 oops (4.45 KB, application/octet-stream)
2005-07-15 21:19 EDT, Mark Goodman
no flags Details

  None (edit)
Description Mark Goodman 2005-06-16 22:28:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
This bug occasionally triggers when a machine is shutdown but it is 100% reproducible. It has existed since Fedora Core 2.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
Login as a normal user whose home directory is on a NFS3 krb5 mount.

As root, run:

/sbin/service netfs stop
/sbin/service rpcidmapd stop
/sbin/service rpcgssd stop
umount /var/lib/nfs/rpc_pipefs
kill -9 $(pgrep -u <NORMAL USER>)

Actual Results:  A kernel oops.

Additional info:
Comment 1 Mark Goodman 2005-06-16 22:34:08 EDT
Created attachment 115590 [details]
Serial console output
Comment 2 Mark Goodman 2005-06-16 22:37:00 EDT
Created attachment 115591 [details]
Kernel patch to stop the oops

This may not be the right fix.
Comment 3 Dave Jones 2005-07-15 17:54:10 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 4 Mark Goodman 2005-07-15 21:18:05 EDT
Same behavior with 2.6.12-1.1398_FC4. I will attach a new oops.
Comment 5 Mark Goodman 2005-07-15 21:19:54 EDT
Created attachment 116830 [details]
kernel 2.6.12-1.1398_FC4 oops
Comment 6 Dave Jones 2005-09-30 02:41:16 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Mark Goodman 2005-09-30 16:06:50 EDT
It still oopses with 2.6.13-1.1526_FC4.
Comment 9 Dave Jones 2005-11-10 14:45:39 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 10 Dave Jones 2006-02-03 01:57:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 John Thacker 2006-05-05 17:19:33 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.